Subject: [Ace] Lars Eggert's No Objection on draft-ietf-ace-oauth-params-13: (with COMMENT)

From: Lars Eggert via Datatracker <[email-masked]>
Date: Thu, 25 Mar 2021 04:10:37 -0700

Lars Eggert has entered the following ballot position for
draft-ietf-ace-oauth-params-13: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ace-oauth-params/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

All comments below are very minor change suggestions that you may choose to
incorporate in some way (or ignore), as you see fit. There is no need to let me
know what you did with these suggestions.

Paragraph 1, nit:
Elwyn Davies' Gen-ART review
(https://mailarchive.ietf.org/arch/msg/gen-art/Yauw_b5iNrPx-nQ095FyFKmQxlM/)
contained some nits that I wanted to make sure you were aware of.

Section 12.1, paragraph 1, nit:
>    [I-D.ietf-ace-cwt-proof-of-possession]
>               Jones, M., Seitz, L., Selander, G., Erdtman, S., and H.
>               Tschofenig, "Proof-of-Possession Key Semantics for CBOR
>               Web Tokens (CWTs)", draft-ietf-ace-cwt-proof-of-
>               possession-11 (work in progress), October 2019.

Outdated reference: draft-ietf-ace-cwt-proof-of-possession has been published as
RFC 8747

Section 12.1, paragraph 2, nit:
>    [I-D.ietf-oauth-mtls]
>               Campbell, B., Bradley, J., Sakimura, N., and T.
>               Lodderstedt, "OAuth 2.0 Mutual-TLS Client Authentication
>               and Certificate-Bound Access Tokens", draft-ietf-oauth-
>               mtls-17 (work in progress), August 2019.
>

Outdated reference: draft-ietf-oauth-mtls has been published as RFC 8705

Section 12.1, paragraph 4, nit:
>    [RFC7049]  Bormann, C. and P. Hoffman, "Concise Binary Object
>               Representation (CBOR)", RFC 7049, DOI 10.17487/RFC7049,
>               October 2013, <https://www.rfc-editor.org/info/rfc7049>.

Obsolete normative reference: RFC 7049 (Obsoleted by RFC 8949)

Section 1, paragraph 3, nit:
-    Respresentation (CBOR) [RFC7049], JSON [RFC8259] MAY be used as an
-      -
+    Representation (CBOR) [RFC7049], JSON [RFC8259] MAY be used as an

---

From: Seitz Ludwig <[email-masked]>
Date: Fri, 26 Mar 2021 07:21:32 +0000

Hello Lars,

Thank you for your review. Your issues have been fixed in -14.

/Ludwig

> -----Original Message-----
> From: Lars Eggert via Datatracker <[email-masked]>
> Sent: den 25 mars 2021 12:11
> To: The IESG <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [EXTERNAL] Lars Eggert's No Objection on draft-ietf-ace-oauth-
> params-13: (with COMMENT)
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> All comments below are very minor change suggestions that you may choose
> to incorporate in some way (or ignore), as you see fit. There is no need to let
> me know what you did with these suggestions.
> 
> Paragraph 1, nit:
> Outdated reference: draft-ietf-ace-cwt-proof-of-possession has been
> published as RFC 8747
>